### Signal

# Json Parser::parse-start

deprecated: 1.10

#### Declaration

    void
    parse_start (
      JsonParser* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a parser starts parsing a JSON data stream.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.10
Derive your own parser type from `JsonParser` and override the `Json.ParserClass.parse_start` virtual function.